// ignore_for_file: non_constant_identifier_names

class ContactConsentModel {
  final String ContactId;
  final String ConsentMessageId;
  final String ConsentType;
  final bool ShowConsentBar;
  final bool AllowTermsAndConditions;
  final bool AllowPrivacyOverview;
  final bool AllowNecessaryCookies;
  final bool AllowPreferencesCookies;
  final bool AllowAnalyticsCookies;
  final bool AllowMarketingCookies;
  final bool AllowSocialMediaCookies;

  ContactConsentModel({
    required this.ContactId,
    required this.ConsentMessageId,
    required this.ConsentType,
    required this.ShowConsentBar,
    required this.AllowTermsAndConditions,
    required this.AllowPrivacyOverview,
    required this.AllowNecessaryCookies,
    required this.AllowPreferencesCookies,
    required this.AllowAnalyticsCookies,
    required this.AllowMarketingCookies,
    required this.AllowSocialMediaCookies,
  });

  factory ContactConsentModel.fromJson(Map<String, dynamic>? rawJson) {
    return ContactConsentModel(
      ContactId: rawJson?["contact_id"],
      ConsentMessageId: rawJson?["consent_message_id"],
      ConsentType: rawJson?["consent_type"],
      ShowConsentBar: rawJson?["show_consent_bar"],
      AllowTermsAndConditions: rawJson?["allow_terms_and_conditions"],
      AllowPrivacyOverview: rawJson?["allow_privacy_overview"],
      AllowNecessaryCookies: rawJson?["allow_necessary_cookies"],
      AllowPreferencesCookies: rawJson?["allow_preferences_cookies"],
      AllowAnalyticsCookies: rawJson?["allow_analytics_cookies"],
      AllowMarketingCookies: rawJson?["allow_marketing_cookies"],
      AllowSocialMediaCookies: rawJson?["allow_social_media_cookies"],
    );
  }

  static List<ContactConsentModel> toList(
      List<Map<String, dynamic>>? rawItems) {
    if (rawItems == null) {
      return [];
    }

    List<ContactConsentModel> items = [];
    for (int i = 0; i < rawItems.length; i++) {
      items.add(ContactConsentModel.fromJson(rawItems[i]));
    }

    return items;
  }
}
